/***************************************************************************
 *   Copyright (C) 2004 by Maciej "Kasprzol" Kasprzyk                      *
 *   katalogue@katalogue.szluug.org                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "pref.h"
#define KATALOGUE__ZMIENNE__GLOBALNE
#include "varibles.h"

#include <klocale.h>

#include <qlayout.h>
//#include <qvbox.h>
#include <qlabel.h>
#include <qcheckbox.h>

KataloguePreferences::KataloguePreferences()
#if 0
    : KDialogBase(TreeList, i18n("Katalogue Preferences"),
#else
    : KDialogBase(Plain, i18n("Katalogue Preferences"),
#endif
                  /*Help|*Default|*/Ok/*|Apply*/|Cancel, Ok, NULL, "Preferences", true, true)
{
    // this is the base class for your preferences dialog.  it is now
    // a Treelist dialog.. but there are a number of other
    // possibilities (including Tab, Swallow, and just Plain)

    QFrame *frame;
#if 0
    frame = addPage(i18n("First Page"), i18n("Page One Options"));
    m_pageOne = new KataloguePrefPageOne(frame);

    frame = addPage(i18n("Second Page"), i18n("Page Two Options"));
    m_pageTwo = new KataloguePrefPageTwo(frame);
#else
    frame = plainPage () ;

    QGridLayout * grid = new QGridLayout ( frame, 2, 1 );

//    QLabel * l1 = new QLabel(i18n("Add something here"), frame);
    m_DirectoriesFirst = new QCheckBox ( i18n ("Directories first"), frame, "DirectoriesFirst_CheckBox") ;
    m_DirectoriesFirst->setChecked (Varibles::DirectoriesFirst) ;
    
//    grid->addWidget ( l1, 0, 0 ) ;
    grid->addWidget ( m_DirectoriesFirst, 1, 0 ) ;

#endif
}

void KataloguePreferences::slotOk()
{
	Varibles::DirectoriesFirst =  m_DirectoriesFirst->isChecked () ;
	Varibles::SaveConfig () ;
	accept () ;
}

/*

KataloguePrefPageOne::KataloguePrefPageOne(QWidget *parent)
    : QFrame(parent)
{
    QVBoxLayout *layout = new QVBoxLayout(this);
    layout->setAutoAdd(true);
//    layout->addSpacing (10) ;
    
}

KataloguePrefPageTwo::KataloguePrefPageTwo(QWidget *parent)
    : QFrame(parent)
{
    QVBoxLayout *layout = new QVBoxLayout(this);
    layout->setAutoAdd(true);

    new QLabel(i18n("Add something else here"), this);
}

*/
