/***************************************************************************
 *   Copyright (C) 2004 by Maciej "Kasprzol" Kasprzyk                      *
 *   katalogue@katalogue.szluug.org                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "mydocument.h"
#include "myplugin.h"

//#include <algorithm> // for_each
//#include <functional> // bind2nd, mem_fun

// #include <klocale.h> // i18n

void MyDocument::load (const  std::string newfilename)
{
	std::vector<MyPlugin*>::iterator vi, vie = Pluginy.end () ;
	for (vi = Pluginy.begin () ; vi != vie ; vi++) {
		(*vi)->setActive (false) ;
	}
//	for_each (Pluginy.begin (), Pluginy.end (), std::bind2nd (std::mem_fun (&MyPlugin::setActive), false)) ;
	MyKatalog n ;
	n.LoadFromFile (newfilename.c_str ()) ; // jak si nie uda to rzuci wyjtkiem, a stary katalog pozostanie
						// bez zmian
	m_katalog->destruct() ;
	*m_katalog = n ;
	n.DiskGroups.clear () ; // trzeba wyczyci aby destruktor nie zniszczy danych wskazywanych przez te wskaniki
	n.Disks.clear () ; 
	
	m_filename = newfilename ;
	m_modified = false ;
}
